/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   main.cpp                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2025/04/16 10:13:48 by adjoly            #+#    #+#             */
/*   Updated: 2025/04/16 10:17:16 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "Span.hpp"
#include <exception>
#include <iostream>

int main(void) {
	Span span(5);

	try {
		std::cout << "Filling span" << std::endl;
		span.addNumber(1);
		span.addNumber(4);
		span.addNumber(10);
		span.addNumber(7);
		span.addNumber(8);
		span.addNumber(3);
	} catch (std::exception &e) {
		std::cerr << e.what() << std::endl;
	}

	std::cout << span.shortestSpan() << std::endl;
	std::cout << span.longestSpan() << std::endl;
}
